summaryrefslogtreecommitdiff
path: root/scripts/embedded_scripts
diff options
context:
space:
mode:
authorDenys Vlasenko2022-01-04 14:32:41 +0100
committerDenys Vlasenko2022-01-04 14:32:41 +0100
commited2af2e82dbcfccb7392e9fbc3f837de1594c103 (patch)
treeb7f56fe38963c79ecf6fc7698200daf4d93873ae /scripts/embedded_scripts
parentc3cfcc92422f6e525073226cdbfdcb00ab1e7dc7 (diff)
downloadbusybox-ed2af2e82dbcfccb7392e9fbc3f837de1594c103.zip
busybox-ed2af2e82dbcfccb7392e9fbc3f837de1594c103.tar.gz
build system: detect if build host has no bzip2
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'scripts/embedded_scripts')
-rwxr-xr-xscripts/embedded_scripts6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/embedded_scripts b/scripts/embedded_scripts
index aa7bf3e..205ac59 100755
--- a/scripts/embedded_scripts
+++ b/scripts/embedded_scripts
@@ -23,6 +23,12 @@ if test $? != 0; then
exit 1
fi
+bzip2 </dev/null >/dev/null
+if test $? != 0; then
+ echo 'bzip2 is not installed'
+ exit 1
+fi
+
custom_scripts=""
if [ -d "$custom_loc" ]
then